// 名前空間
var ARCHIVE_UI = {};

$(function() {
  // アーカイブ検索
  $('#archive .search_form input[type="search"]').keyup(function(){
    $('.overlay_src_msg').empty();

    var keyword = $('#archive .search_form input[type="search"]').val();
    if (keyword == '') {
      return;
    }

    // 検索結果を表示
    CHAT_DB.callGetArchiveByName(keyword);
  });
});

ARCHIVE_UI.refreshSearchScreen = function(keyword) {
  var archiveList = CHAT_DB.getArchiveByName(keyword);
  var archiveTemplate;
  $.get({ url: "./template/template_archive_list.html", async: false }
      , function(text) {
        archiveTemplate = text;
  });

  archiveList.forEach(function(archive) {
    var typeImage = "";
    switch(archive.archiveType) {
      case 0: // 画像
        typeImage = "icon/icon_collabo_picture.png";
        break;
      case 1: // 動画
        typeImage = "icon/icon_collabo_videocam.png";
        break;
      case 2: // 音声
        typeImage = "icon/icon_collabo_headset.png";
        break;
      case 3: // 文書
        typeImage = "icon/icon_collabo_document.png";
        break;
      default: // その他
        typeImage = "";
    }

    let html = Mustache.render(archiveTemplate, {
      archiveId: archive.archiveId,
      fileName: archive.archiveName,
      insertDate: archive.archiveDate,
      typeImage: typeImage
    });
      
    let obj = jQuery.parseHTML(html);
    $('.overlay_src_msg').append(obj);
  });
};
